Bug 740458 - Review Request: drupal7-auto_nodetitle - A small and efficient module that allows hiding of the content title
Review Request: drupal7-auto_nodetitle - A small and efficient module that al...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-09-22 02:21 EDT by Peter Borsa
Modified: 2011-10-27 15:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: drupal7-auto_nodetitle-1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 15:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2011-09-22 02:21:56 EDT
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-auto_nodetitle.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-auto_nodetitle-1.0-1.fc15.src.rpm
Description: This is a small and efficient module
that allows hiding of the content title field in the form.
To prevent empty content title fields one can configure it
to generate the title by a given pattern.
When the token module is installed
it's possible to use various node data for the
auto generated title - e.g. use the text of a CCK field (since 5.x).
Advanced users can also provide some PHP code,
that is used for automatically generating an appropriate title.


rpmlint output:

$ rpmlint drupal7-auto_nodetitle.spec ../SRPMS/drupal7-auto_nodetitle-1.0-1.fc15.src.rpm ../RPMS/noarch/drupal7-auto_nodetitle-1.0-1.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3369776
Watching tasks (this may be safely interrupted)...
3369776 build (dist-f15, drupal7-auto_nodetitle-1.0-1.fc15.src.rpm): open (x86-16.phx2.fedoraproject.org)
  3369777 buildArch (drupal7-auto_nodetitle-1.0-1.fc15.src.rpm, noarch): free
  3369777 buildArch (drupal7-auto_nodetitle-1.0-1.fc15.src.rpm, noarch): free -> open (x86-18.phx2.fedoraproject.org)
  3369777 buildArch (drupal7-auto_nodetitle-1.0-1.fc15.src.rpm, noarch): open (x86-18.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3369776 build (dist-f15, drupal7-auto_nodetitle-1.0-1.fc15.src.rpm): open (x86-16.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3369776 build (dist-f15, drupal7-auto_nodetitle-1.0-1.fc15.src.rpm) completed successfully
Comment 1 Jon Ciesla 2011-10-04 13:22:54 EDT
Good:

- rpmlint checks return:

<null>

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Awaiting mock rebuild to double-check BRs, otherwise good.
Comment 2 Jon Ciesla 2011-10-04 13:24:47 EDT
BRs are good, APPROVED.
Comment 3 Peter Borsa 2011-10-04 13:33:15 EDT
New Package SCM Request
=======================
Package Name: drupal7-auto_nodetitle
Short Description: A small and efficient module that allows hiding of the content title
Owners: asrob jsmith pfrields
Branches: f15 f16 el5 el6
InitialCC:
Comment 4 Jon Ciesla 2011-10-04 13:39:17 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-10-04 14:28:46 EDT
drupal7-auto_nodetitle-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-auto_nodetitle-1.0-1.fc15
Comment 6 Fedora Update System 2011-10-04 14:37:13 EDT
drupal7-auto_nodetitle-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-auto_nodetitle-1.0-1.fc16
Comment 7 Fedora Update System 2011-10-04 14:44:28 EDT
drupal7-auto_nodetitle-1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-auto_nodetitle-1.0-1.el5
Comment 8 Fedora Update System 2011-10-04 14:54:30 EDT
drupal7-auto_nodetitle-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-auto_nodetitle-1.0-1.el6
Comment 9 Fedora Update System 2011-10-13 19:53:21 EDT
drupal7-auto_nodetitle-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2011-10-15 20:57:03 EDT
drupal7-auto_nodetitle-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2011-10-27 15:07:04 EDT
drupal7-auto_nodetitle-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 12 Fedora Update System 2011-10-27 15:10:37 EDT
drupal7-auto_nodetitle-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.